#pragma once

#include "PdfObject.h"

#include <vector>

class PdfOutline : public PdfObject
{
public:
    std::string toString(PdfXRefTable* xRefTable) override;
};
using PdfOutlinePtr = std::unique_ptr<PdfOutline>;

class PdfOutlineCollection : public PdfObject
{
public:

    unsigned indexObjects(unsigned count) override;

    std::string toString(PdfXRefTable* xRefTable) override;

    void updateDictionary() override;

private:
    std::vector<PdfOutlinePtr> mOutlines;
};
